#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x2b577cfe, __VMLINUX_SYMBOL_STR(nft_fib_policy) },
	{ 0x3a8a1a31, __VMLINUX_SYMBOL_STR(nft_fib_validate) },
	{ 0xf8b2d48d, __VMLINUX_SYMBOL_STR(nft_fib_dump) },
	{ 0x448090d1, __VMLINUX_SYMBOL_STR(nft_fib_init) },
	{ 0x45923352, __VMLINUX_SYMBOL_STR(nft_unregister_expr) },
	{ 0x21a3ab12, __VMLINUX_SYMBOL_STR(nft_register_expr) },
	{ 0x4067c0de, __VMLINUX_SYMBOL_STR(nft_fib6_eval) },
	{ 0x19a41d04, __VMLINUX_SYMBOL_STR(nft_fib4_eval) },
	{ 0x560ff80c, __VMLINUX_SYMBOL_STR(nft_fib4_eval_type) },
	{ 0xf8c10d41, __VMLINUX_SYMBOL_STR(nft_fib6_eval_type) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nft_fib,nf_tables,nft_fib_ipv6,nft_fib_ipv4";

